Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.impl
Class MappingModelMetadataProvider

    java.lang.Object
      org.hibernate.search.impl.MappingModelMetadataProvider

All Implemented Interfaces:
  org.hibernate.annotations.common.reflection.MetadataProvider

    public class MappingModelMetadataProvider

extends java.lang.Object
implements org.hibernate.annotations.common.reflection.MetadataProvider

Author:
  Emmanuel Bernard

Constructor Summary
`MappingModelMetadataProvider(org.hibernate.annotations.common.reflection.MetadataProvider delegate, SearchMapping mapping)`

Method Summary
`org.hibernate.annotations.common.reflection.AnnotationReader` | `getAnnotationReader(java.lang.reflect.AnnotatedElement annotatedElement)`
`java.util.Map<java.lang.Object,java.lang.Object>` | `getDefaults()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingModelMetadataProvider

    public MappingModelMetadataProvider(org.hibernate.annotations.common.reflection.MetadataProvider delegate,
                                        SearchMapping mapping)

Method Detail

### getDefaults

    public java.util.Map<java.lang.Object,java.lang.Object> getDefaults()

  Specified by:
    `getDefaults` in interface `org.hibernate.annotations.common.reflection.MetadataProvider`

### getAnnotationReader

    public org.hibernate.annotations.common.reflection.AnnotationReader getAnnotationReader(java.lang.reflect.AnnotatedElement annotatedElement)

  Specified by:
    `getAnnotationReader` in interface `org.hibernate.annotations.common.reflection.MetadataProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.